from __future__ import annotations

from aiogram.fsm.state import State, StatesGroup


class TopUpStates(StatesGroup):
    amount = State()
    method = State()


class OtherStates(StatesGroup):
    twofa = State()


class ReviewStates(StatesGroup):
    text = State()


class AdminCategory(StatesGroup):
    name = State()


class AdminItem(StatesGroup):
    category = State()
    name = State()
    description = State()
    price = State()


class AdminStock(StatesGroup):
    item = State()
    content = State()


class AdminBalance(StatesGroup):
    user_id = State()
    amount = State()


class AdminBroadcast(StatesGroup):
    message = State()


class AdminSettings(StatesGroup):
    value = State()


class AdminItemEdit(StatesGroup):
    value = State()


class ResellerCreate(StatesGroup):
    admin_id = State()
    token = State()


class ResellerAdminMarkup(StatesGroup):
    value = State()


class ResellerAdminChannel(StatesGroup):
    value = State()


class ResellerAdminBroadcast(StatesGroup):
    message = State()


class ResellerAdminImage(StatesGroup):
    item = State()
    photo = State()
